.recipe {
  padding: 0 0 var(--margin) 0;
  gap: var(--margin);

  display: grid;
  grid-template-rows: minmax(min-content, 300px);
  grid-template-areas: "image"
                       "header"
                       "ingredients"
                       "instructions"
                       "options";
}

.dialog-content {
  padding: 0 var(--margin-md);
  text-align: center;
}

@media (width >= 940px) {
  .recipe {
    padding: var(--margin);
    padding-top: 0;

    grid-template-columns: 400px minmax(0, 500px) 400px;
    grid-template-rows: auto;
    grid-template-areas: "header      header       image       "
                         "ingredients instructions instructions"
                         "options     instructions instructions";
    justify-content: center;
  }
}

@media print {
  .recipe {
    grid-template-columns: auto;
    grid-template-rows: auto;
    grid-template-areas: "image       "
                         "header      "
                         "ingredients "
                         "instructions";
  }
}

.recipe-image {
  max-height: 300px;
  grid-area: image;
}

.recipe-image > * {
  height: 100%;
  object-fit: cover;
}

@media (width >= 940px) {
  .recipe-image {
    max-height: 400px;

    border-radius: var(--border-radius);
  }
}

.recipe-header {
  grid-area: header;
}

.recipe-ingredients {
  grid-area: ingredients;
}

.recipe-instructions {
  grid-area: instructions;
}

.recipe-options {
  grid-area: options;
}

.recipe-image > img {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;

  object-fit: cover;
}

@media (width >= 940px) {
  .recipe-image > img {
    height: 100%;
    aspect-ratio: initial;

    border-radius: var(--border-radius);
  }
}

@media print {
  .recipe-image {
    text-align: center;
  }

  .recipe-image > img {
    display: inline-block;
    width: initial;
    max-height: 5cm;

    background: none;
    border-radius: var(--border-radius);
  }

  .recipe-image > img[data-is-fallback="true"] {
    display: none;
  }
}

.recipe-header {
  padding: 0 var(--margin);
  gap: 0 var(--margin);

  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-areas: "name        favorite"
                       "author      author"
                       "description description"
                       "stats       stats";
  align-content: start;
}

@media (width >= 940px) {
  .recipe-header {
    padding: 0 0 var(--margin) 0;
  }
}

@media print {
  .recipe-header {
    text-align: center;
  }
}

.recipe-name {
  margin: 0;
  grid-area: name;
}

.recipe-favorite {
  padding: var(--margin-sm);
  grid-area: favorite;
}

@media (width >= 940px) {
  .recipe-favorite {
    margin-top: var(--margin);
  }
}

@media print {
  .recipe-favorite {
    display: none;
  }
}

.recipe-author {
  margin: var(--margin-sm) 0 0 0;
  grid-area: author;
}

@media (width >= 940px) {
  .recipe-author {
    margin: var(--margin) 0 0 0;
  }
}

.recipe-description {
  margin: var(--margin) 0 0 0;
  grid-area: description;
}

.recipe-stats {
  margin: var(--margin) 0;
  padding: 0;
  grid-area: stats;

  display: flex;
  flex-wrap: wrap;
  gap: var(--margin);
  list-style: none;
}

.recipe-stats > * {
  position: relative;

  display: inline-flex;
  align-items: center;
}

.recipe-stats > *:not(:last-child):after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  right: calc(var(--margin) * -1 / 2);
  width: 1px;

  background: var(--color-on-background);
}

@media print {
  .recipe-stats {
    justify-content: center;
  }
}

.recipe-ingredients {
  padding: 0 var(--margin);
}

@media (width >= 940px) {
  .recipe-ingredients {
    padding: 0;
  }
}

.recipe-instructions {
  padding: 0 var(--margin);
}

@media (width >= 940px) {
  .recipe-instructions {
    padding: 0;
  }
}

.recipe-options {
  padding: 0 var(--margin);

  display: flex;
  flex-direction: column;
  align-items: start;
}

@media (width >= 940px) {
  .recipe-options {
    padding: 0;
  }
}

@media print {
  .recipe-options {
    display: none;
  }
}

.recipe-checklist {
  padding: 0;
  margin: var(--margin) 0;
  gap: var(--margin);

  display: flex;
  flex-direction: column;
  list-style: none;
}

.recipe-checklist > li {
  margin: 0 var(--margin);

  display: flex;
  gap: var(--margin);
}

.recipe-checklist > .title {
  margin: var(--margin-sm) 0;
}

.recipe-checklist > .title > h3 {
  margin: 0;
}

.recipe-checklist input[type="checkbox"] {
  margin: 0;
  width: 1.3rem;
  height: 1.3rem;
  flex: 0 0 1.3rem;
  aspect-ratio: 1 / 1;

  appearance: none;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  border: 1px solid var(--color-on-background);
  border-radius: 5px;

  cursor: pointer;

  transition: background-color var(--transition-duration);
}

.recipe-checklist input[type="checkbox"]:hover {
  background-color: var(--color-secondary);
}

.recipe-checklist input[type="checkbox"]:checked {
  border-color: var(--color-muted);
}

:global([data-theme="light"]) .recipe-checklist input[type="checkbox"]:checked {
  background-image: url("/img/done-light.svg");
}

:global([data-theme="dark"]) .recipe-checklist input[type="checkbox"]:checked {
  background-image: url("/img/done-dark.svg");
}

.recipe-checklist input[type="checkbox"]:checked ~ label {
  color: var(--color-muted);
  text-decoration: line-through;
}

@media print {
  ul.recipe-checklist {
    list-style: disc;
  }

  ol.recipe-checklist {
    list-style: decimal;
  }

  .recipe-checklist > li {
    display: list-item;
  }

  .recipe-checklist input[type="checkbox"] {
    display: none;
  }
}